低危 Google Go encoding/xml:xml指令不稳定漏洞

CVE编号

CVE-2020-29510

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-12-15
漏洞描述
Google Go encoding是美国Google公司的一个基于Go语言为数据提供多种形式编码的代码库。Go版本1.15和更早版本中的encoding/xml软件包在标记化往返过程中不能正确保留指令的语义,这使攻击者可以在受影响的下游应用程序的不同处理阶段中,以冲突方式设计输入。

解决建议

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法: https://github.com/mattermost/xml-roundtrip-validator/blob/master/advisories/unstable-directives.md


受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 golang go * Up to
(including)
1.15
运行在以下环境
系统 debian_10 golang-1.11 * Up to
(including)
1.11.6-1+deb10u4
运行在以下环境
系统 debian_11 golang-1.11 * Up to
(including)
1.15.15-1~deb11u4
运行在以下环境
系统 debian_12 golang * Up to
(including)
1.15.15-5
运行在以下环境
系统 debian_9 golang-1.11 * Up to
(including)
1.7.4-2+deb9u1
运行在以下环境
系统 debian_sid golang-1.11 * Up to
(including)
1.15.15-5
阿里云评分
2.7
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
NVD-CWE-Other
阿里云安全产品覆盖情况